Bug 1313746 - [abrt] sddm: QCoreApplication::postEvent(): sddm-greeter killed by SIGSEGV
[abrt] sddm: QCoreApplication::postEvent(): sddm-greeter killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: sddm (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Bříza
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:40ced5d549c7147456824fabfc6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-02 04:57 EST by Alvin
Modified: 2016-12-20 14:11 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 14:11:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (53.69 KB, text/plain)
2016-03-02 04:58 EST, Alvin
no flags Details
File: cgroup (200 bytes, text/plain)
2016-03-02 04:58 EST, Alvin
no flags Details
File: core_backtrace (7.67 KB, text/plain)
2016-03-02 04:58 EST, Alvin
no flags Details
File: dso_list (18.24 KB, text/plain)
2016-03-02 04:58 EST, Alvin
no flags Details
File: environ (464 bytes, text/plain)
2016-03-02 04:58 EST, Alvin
no flags Details
File: exploitable (82 bytes, text/plain)
2016-03-02 04:58 EST, Alvin
no flags Details
File: limits (1.29 KB, text/plain)
2016-03-02 04:58 EST, Alvin
no flags Details
File: maps (89.87 KB, text/plain)
2016-03-02 04:58 EST, Alvin
no flags Details
File: mountinfo (3.72 KB, text/plain)
2016-03-02 04:58 EST, Alvin
no flags Details
File: namespaces (85 bytes, text/plain)
2016-03-02 04:58 EST, Alvin
no flags Details
File: open_fds (1.86 KB, text/plain)
2016-03-02 04:58 EST, Alvin
no flags Details
File: proc_pid_status (1.03 KB, text/plain)
2016-03-02 04:58 EST, Alvin
no flags Details
File: var_log_messages (3.40 KB, text/plain)
2016-03-02 04:58 EST, Alvin
no flags Details

  None (edit)
Description Alvin 2016-03-02 04:57:58 EST
Description of problem:
1. Power down monitor (displayport)
2. Power up monitor
3. SDDM crash

Version-Release number of selected component:
sddm-0.13.0-4.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/sddm-greeter --socket /tmp/sddm-:0-XtskkX --theme /usr/share/sddm/themes/01-breeze-fedora
crash_function: QCoreApplication::postEvent
executable:     /usr/bin/sddm-greeter
global_pid:     8361
kernel:         4.4.2-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            989

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QCoreApplication::postEvent at kernel/qcoreapplication.cpp:1338
 #1 SDDM::GreeterApp::removeViewForScreen at /usr/src/debug/sddm-0.13.0/src/greeter/GreeterApp.cpp:208
 #2 QtPrivate::QSlotObjectBase::call at ../../src/corelib/kernel/qobject_impl.h:124
 #3 QMetaObject::activate at kernel/qobject.cpp:3698
 #5 QGuiApplication::screenRemoved at .moc/moc_qguiapplication.cpp:333
 #6 QScreen::~QScreen at kernel/qscreen.cpp:80
 #8 QPlatformIntegration::destroyScreen at kernel/qplatformintegration.cpp:481
 #9 QXcbConnection::destroyScreen at qxcbconnection.cpp:321
 #10 QXcbConnection::updateScreens at qxcbconnection.cpp:253
 #11 QXcbConnection::handleXcbEvent at qxcbconnection.cpp:1162
Comment 1 Alvin 2016-03-02 04:58:05 EST
Created attachment 1132216 [details]
File: backtrace
Comment 2 Alvin 2016-03-02 04:58:06 EST
Created attachment 1132217 [details]
File: cgroup
Comment 3 Alvin 2016-03-02 04:58:07 EST
Created attachment 1132218 [details]
File: core_backtrace
Comment 4 Alvin 2016-03-02 04:58:09 EST
Created attachment 1132219 [details]
File: dso_list
Comment 5 Alvin 2016-03-02 04:58:10 EST
Created attachment 1132220 [details]
File: environ
Comment 6 Alvin 2016-03-02 04:58:11 EST
Created attachment 1132221 [details]
File: exploitable
Comment 7 Alvin 2016-03-02 04:58:13 EST
Created attachment 1132222 [details]
File: limits
Comment 8 Alvin 2016-03-02 04:58:14 EST
Created attachment 1132223 [details]
File: maps
Comment 9 Alvin 2016-03-02 04:58:16 EST
Created attachment 1132224 [details]
File: mountinfo
Comment 10 Alvin 2016-03-02 04:58:17 EST
Created attachment 1132225 [details]
File: namespaces
Comment 11 Alvin 2016-03-02 04:58:18 EST
Created attachment 1132226 [details]
File: open_fds
Comment 12 Alvin 2016-03-02 04:58:20 EST
Created attachment 1132227 [details]
File: proc_pid_status
Comment 13 Alvin 2016-03-02 04:58:21 EST
Created attachment 1132228 [details]
File: var_log_messages
Comment 14 Alvin 2016-03-03 04:14:57 EST
Similar problem has been detected:

SDDM crashes on powering up monitor since switching to DisplayPort.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/sddm-greeter --socket /tmp/sddm-:0-XgboAF --theme /usr/share/sddm/themes/01-breeze-fedora
crash_function: QCoreApplication::postEvent
executable:     /usr/bin/sddm-greeter
global_pid:     5879
kernel:         4.4.2-301.fc23.x86_64
package:        sddm-0.13.0-4.fc23
reason:         sddm-greeter killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            989
Comment 15 Fedora End Of Life 2016-11-24 10:53:21 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2016-12-20 14:11:09 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.